## GODocControl

GODocControl

## Synopsis

    #define             GO_DOC_CONTROL_TYPE
    #define             GO_DOC_CONTROL                      (o)
    #define             IS_GO_DOC_CONTROL                   (o)
    enum                GODocControlState;
    GType               go_doc_control_get_type             (void);

## Description

## Details

### GO_DOC_CONTROL_TYPE

    #define GO_DOC_CONTROL_TYPE	    (go_doc_control_get_type ())

### GO_DOC_CONTROL()

    #define GO_DOC_CONTROL(o)	    (G_TYPE_CHECK_INSTANCE_CAST ((o), GO_DOC_CONTROL_TYPE, GODocControl))

`o` : |

### IS_GO_DOC_CONTROL()

    #define IS_GO_DOC_CONTROL(o)	    (G_TYPE_CHECK_INSTANCE_TYPE ((o), GO_DOC_CONTROL_TYPE))

`o` : |

### enum GODocControlState

    typedef enum {
    	GO_DOC_CONTROL_STATE_NORMAL = 0,
    	GO_DOC_CONTROL_STATE_FULLSCREEN,
    	GO_DOC_CONTROL_STATE_MAX
    } GODocControlState;

### go_doc_control_get_type ()

    GType               go_doc_control_get_type             (void);

Returns : |